Adapt to new release
diff --git a/pages/download.html b/pages/download.html
index 15e771a..2ac4956 100644
--- a/pages/download.html
+++ b/pages/download.html
@@ -47,10 +47,10 @@
 		This package is provided by BREDEX GmbH and contains source code that is 
 		not EPL-conform.
 		<br><br>
-		The Jubula Standalone 8.4.1 contains the Jubula Functional Testing Feature in version 5.0.0.
+		The Jubula Standalone 8.5.0 contains the Jubula Functional Testing Feature in version 5.0.0.
 		</td>
 		<td  width="10%" valign="top">
-		8.4.1
+		8.5.0
 		<br><br>
 		Sprint increments (beta versions) 
 		are also available for access to newer features and fixes.
@@ -71,10 +71,10 @@
 		SWT/RCP/GEF and JavaFX toolkits
 		</td>
 		<td width="10%" valign="top">
-		4.0
+		5.0
 		</td>
 		<td width="25%" valign="top">
-		<a href="http://download.eclipse.org/releases/neon">Neon Update Site</a>
+		<a href="http://download.eclipse.org/releases/oxygen">Oxygen Update Site</a>
 		</td>
 		</tr>
 		</table>
@@ -88,10 +88,10 @@
 		Launch Configuration for Java Swing
 		</td>
 		<td  width="10%" valign="top">
-		4.0
+		5.0
 		</td>
 		<td width="25%" valign="top">
-		<a href="http://download.eclipse.org/releases/neon">Neon Update Site</a>
+		<a href="http://download.eclipse.org/releases/oxygen">Oxygen Update Site</a>
 		</td>
 		</tr>
 		<tr>
@@ -101,10 +101,10 @@
 		Launch Configuration for Eclipse RCP
 		</td>
 		<td valign="top">
-		4.0
+		5.0
 		</td>
 		<td valign="top">
-		<a href="http://download.eclipse.org/releases/neon">Neon Update Site</a>
+		<a href="http://download.eclipse.org/releases/oxygen">Oxygen Update Site</a>
 		</td>
 		</tr>
 		</table>
@@ -118,7 +118,7 @@
 		Jubula Functional Testing Feature (as described above).
 		</td>
 		<td width="10%" valign="top">
-		Contains Jubula 4.0.0
+		Contains Jubula 5.0.0
 		</td>
 		<td width="25%" valign="top">
 		<a href="http://www.eclipse.org/downloads">Eclipse Packages</a>
@@ -163,7 +163,7 @@
 			<td valign="top">
 			4.0.0
 			<br><br>
-			The database drivers are compatible with the Jubula Feature versions [0.9.0,5.0.0)
+			The database drivers are compatible with the Jubula Feature versions [0.9.0,6.0.0)
 			</td>
 			<td valign="top">
 			<a href="http://marketplace.eclipse.org/content/eclipse-jubula-database-drivers">
@@ -179,7 +179,7 @@
 			These are currently only available in the standalone version.
 			</td>
 			<td valign="top">
-			8.4.1
+			8.5.0
 			</td>
 			<td>
 			Jubula Standalone (see above)